\hypertarget{errcode-internal_8h}{
\section{ompi/errhandler/errcode-internal.h File Reference}
\label{errcode-internal_8h}\index{ompi/errhandler/errcode-internal.h@{ompi/errhandler/errcode-internal.h}}
}
{\tt \#include \char`\"{}ompi\_\-config.h\char`\"{}}\par
{\tt \#include \char`\"{}mpi.h\char`\"{}}\par
{\tt \#include \char`\"{}ompi/include/constants.h\char`\"{}}\par
{\tt \#include \char`\"{}opal/class/opal\_\-object.h\char`\"{}}\par
{\tt \#include \char`\"{}class/ompi\_\-pointer\_\-array.h\char`\"{}}\par
\subsection*{Defines}
\begin{CompactItemize}
\item 
\hypertarget{errcode-internal_8h_a0}{
\#define {\bf OMPI\_\-MAX\_\-ERROR\_\-STRING}~64}
\label{errcode-internal_8h_a0}

\end{CompactItemize}
\subsection*{Typedefs}
\begin{CompactItemize}
\item 
\hypertarget{errcode-internal_8h_a1}{
typedef \hyperlink{structompi__errcode__intern__t}{ompi\_\-errcode\_\-intern\_\-t} {\bf ompi\_\-errcode\_\-intern\_\-t}}
\label{errcode-internal_8h_a1}

\end{CompactItemize}
\subsection*{Functions}
\begin{CompactItemize}
\item 
\hypertarget{errcode-internal_8h_a4}{
static int \hyperlink{errcode-internal_8h_a4}{ompi\_\-errcode\_\-get\_\-mpi\_\-code} (int errcode)}
\label{errcode-internal_8h_a4}

\begin{CompactList}\small\item\em Return the MPI errcode for a given internal error code. \item\end{CompactList}\item 
int \hyperlink{errcode-internal_8h_a5}{ompi\_\-errcode\_\-intern\_\-init} (void)
\begin{CompactList}\small\item\em Initialize the error codes. \item\end{CompactList}\item 
int \hyperlink{errcode-internal_8h_a6}{ompi\_\-errcode\_\-intern\_\-finalize} (void)
\begin{CompactList}\small\item\em Finalize the error codes. \item\end{CompactList}\end{CompactItemize}
\subsection*{Variables}
\begin{CompactItemize}
\item 
\hypertarget{errcode-internal_8h_a2}{
OMPI\_\-DECLSPEC \hyperlink{structompi__pointer__array__t}{ompi\_\-pointer\_\-array\_\-t} {\bf ompi\_\-errcodes\_\-intern}}
\label{errcode-internal_8h_a2}

\item 
\hypertarget{errcode-internal_8h_a3}{
OMPI\_\-DECLSPEC int {\bf ompi\_\-errcode\_\-intern\_\-lastused}}
\label{errcode-internal_8h_a3}

\end{CompactItemize}


\subsection{Detailed Description}


\subsection{Function Documentation}
\hypertarget{errcode-internal_8h_a6}{
\index{errcode-internal.h@{errcode-internal.h}!ompi_errcode_intern_finalize@{ompi\_\-errcode\_\-intern\_\-finalize}}
\index{ompi_errcode_intern_finalize@{ompi\_\-errcode\_\-intern\_\-finalize}!errcode-internal.h@{errcode-internal.h}}
\subsubsection[ompi\_\-errcode\_\-intern\_\-finalize]{\setlength{\rightskip}{0pt plus 5cm}int ompi\_\-errcode\_\-intern\_\-finalize (void)}}
\label{errcode-internal_8h_a6}


Finalize the error codes. 

\begin{Desc}
\item[Returns:]OMPI\_\-SUCCESS Always\end{Desc}
Invokes from \hyperlink{mpiruntime_8h_a9}{ompi\_\-mpi\_\-finalize()}; tears down the error code array. \hypertarget{errcode-internal_8h_a5}{
\index{errcode-internal.h@{errcode-internal.h}!ompi_errcode_intern_init@{ompi\_\-errcode\_\-intern\_\-init}}
\index{ompi_errcode_intern_init@{ompi\_\-errcode\_\-intern\_\-init}!errcode-internal.h@{errcode-internal.h}}
\subsubsection[ompi\_\-errcode\_\-intern\_\-init]{\setlength{\rightskip}{0pt plus 5cm}int ompi\_\-errcode\_\-intern\_\-init (void)}}
\label{errcode-internal_8h_a5}


Initialize the error codes. 

\begin{Desc}
\item[Returns:]OMPI\_\-SUCCESS Upon success 

OMPI\_\-ERROR Otherwise\end{Desc}
Invoked from \hyperlink{mpiruntime_8h_a7}{ompi\_\-mpi\_\-init()}; sets up all static MPI error codes, 